Subject: bug#20738: 25.0.50; grep/compilation output sometimes has text prop `compilation-message' on final line

From: Drew Adams <[email-masked]>
Date: Fri, 21 Aug 2020 15:29:09 +0000 (UTC)

> >> Do you have a recipe?
> >
> > No.
> 
> Then it seems unlikely that we'll make further progress here, and I'm
> closing this bug report.

Dunno how you figure that it's unlikely.  I said,
at the outset:

  It happens sometimes and not other times, but it's not
  clear to me what the criteria are.

  Also, I can reproduce it with Emacs versions as far
  back as 24.1  (I haven't tried further back.  I think
  24.1 is maybe when property `compilation-message' was
  first introduced anyway.)

The bug exists.  I don't have recipe to repro it.

There's no relation between not having a recipe and the
frequency of the problem occurring - zero.

The choices, IMO, are to either (1) leave the bug open,
hoping that at some point someone will find or stumble
upon a recipe or a solution or (2) close it, knowing
that the bug exists.

It's not uncommon for bugs to later get more info and
be solved (#1).  Of course, if the real aim is to keep
down the bug count, as opposed to recording bugs in
hopes of fixing them, then #2 can happen.

That sometimes happens in organizations where QA is
judged by the outstanding bug count.  (IMHO, that has
no place in free software.)